Tuesday, December 08, 2009

Greasemonkey 0.8.3 Release

Greasemonkey 0.8.3 aka "0.8.20091129.3" has been released. It contains the following changes:
  • Add Firefox 3.6 compatibility flag.
  • Use platform-dependent line endings when creating a script file. (#1004)
  • Properly handle error events, and calling the onerror callback, in GM_xmlhttpRequest. (#1008)
  • Add 'binary' option, to do a .sendAsBinary(), for GM_xmlhttpRequest. (#1017)
  • GM_setValue() will display a descriptive error, when it does not receive enough arguments. (#1005)
  • Fixed a bug that would cause the Greasemonkey info bar not to appear sometimes, when viewing a script's source.
  • Updated translations from babelzilla.org.


Zach S said...

Not installing on 3.6b4 Tried 5 times, both .8.3 and .4... what gives?

Cris said...

why my grease-monkey not appeared on my firefox anymore plz explain !!! I can't use autoplay w/o it-.-''. Is it because of the new update O.o?????

Denise said...

With this latest update, Greasemonkey has suddenly uninstalled off my Firefox and no matter how many times I go to reinstall it... it won't. I've tried atleast 15 times to install Greasemonkey again, and every single time Firefox restarts without it running nor listed in my Add-ons. Help?

I am running Firefox 3.5.5 and Windows Vista.

Anonymous said...

My grease-monkey not work later I installed this latest update. Any solution?